YRPS.Web/Controllers/GridController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Kendo.Mvc.UI;
using YRPS.Web.Models;
using Kendo.Mvc.Extensions;

namespace YRPS.Web.Controllers
{
    public class GridController : Controller
    {
        public ActionResult Orders_Read([DataSourceRequest]DataSourceRequest request)
        {
            var result = Enumerable.Range(0, 50).Select(i => new OrderViewModel
            {
                OrderID = i,
                Freight = i * 10,
                OrderDate = new DateTime(2016, 9, 15).AddDays(i % 7),
                ShipName = "ShipName " + i,
                ShipCity = "ShipCity " + i
            });

            var dsResult = result.ToDataSourceResult(request);
            return Json(dsResult);
        }
    }
}

YRPS.Web/Controllers/HomeController.cs
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using YRPS.Core.Interfaces;

namespace YRPS.Web.Controllers
{
    public class HomeController :  BaseController
    {

        public HomeController(
          IResponseDTO response,
          IHttpContextAccessor httpContextAccessor) : base(response, httpContextAccessor)
        {
        }

        public IActionResult Index()
        {
            var currentUser = CurrentUser;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}

YRPS.Web/Views/Home/About.cshtml
@{
    ViewData["Title"] = "About";
}

<section class="jumbotron text-center">
    <div class="container">
        <h1 class="jumbotron-heading">@ViewBag.Title.</h1>
        <p class="lead-text text-muted">@ViewBag.Message</p>
    </div>
</section>

<p>Use this area to provide additional information.</p>

YRPS.Web/Views/Home/Contact.cshtml
@{
    ViewData["Title"] = "Contact";
}

<section class="jumbotron text-center">
    <div class="container">
        <h1 class="jumbotron-heading">@ViewBag.Title.</h1>
        <p class="lead-text text-muted">@ViewBag.Message</p>
    </div>
</section>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong> <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

YRPS.Web/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="panel page-header border-top-primary" style="padding-bottom: 0;">
    <div class="page-header-content">
        <div class="page-title">
            <h5>
                <span class="text-semibold">@ViewData["Title"]</span>
            </h5>
        </div>

        <div class="heading-elements">
            <form class="heading-form" action="#">
                <div class="form-group">
                    <div class="has-feedback">
                        <input type="search" class="form-control" placeholder="Search">
                        <div class="form-control-feedback">
                            <i class="icon-search4 text-size-small text-muted"></i>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>


<div>
    <div class="col-lg-12">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-white">
                    <div class="panel-body">

                        <div>
                            <ul class="breadcrumb">
                                <li><a href="#" data-toggle="modal" data-target="#modal_large_FitBit"><i class=" icon-plus22 position-left"></i> Add</a></li>
                                <li><a href="#"><i class="icon-sync position-left"></i> Refresh</a></li>
                            </ul>
                        </div>

                        <div class="panel panel-flat table-responsive" >
                            <kendo-grid name="grid">
                                <columns>
                                    <column field="OrderID" title="Order ID">
                                        <filterable enabled="false"></filterable>
                                    </column>
                                    <column field="Freight" title="Freight" />
                                    <column field="OrderDate" title="Order Date" format="{0:MM/dd/yyyy}" />
                                    <column field="ShipName" title="Ship Name" />
                                    <column field="ShipCity" title="Ship City" />
                                </columns>
                                <scrollable enabled="true" />
                                <sortable enabled="true" />
                                <pageable enabled="true" />
                                <filterable enabled="true" />
                                <datasource type="DataSourceTagHelperType.Ajax" page-size="20">
                                    <transport>
                                        <read url="@Url.Action("Orders_Read", "Grid")" />
                                    </transport>
                                </datasource>
                            </kendo-grid>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>